DCMTK - Bug #328

Unterstitzung von NumberOfPatientRelated... in dcmqrdb
2010-08-23 00:00 - Jorg Riesmeier

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jan Schlamelcher % Done: 0%
Category: Library Estimated time: 0:00 hour
Target version: 3.6.2

Module: dcmardb Compiler:

Operating System:

Description
E-Mail-Austausch zwischen JR (>) und ME am 2010-08-23

durch eine Anfrage von Markus Mertens wurde ich gerade auf die (unvollstandige?) Unterstiitzung des demqrdb/dcmaqrscp fir

die folgenden
Spezial-Attribute aufmerksam gemacht:

(0020,1200) NumberOfPatientRelatedStudies
(0020,1202) NumberOfPatientRelatedSeries
(0020,1204) NumberOfPatientRelatedInstances

Diese werden zwar als Query Keys unterstitzt, aber leider konnte ich keine Stelle im Quelltext finden, an denen die

entsprechenden Werte ermittelt und

gesetzt werden. Kann sich jemand von Euch erinnern, wann und von wem die entsprechende Unterstiitzung fir diese Keys

umgesetzt wurde? Durch die

Umstrukturierung des Moduls (friiher "imagectn") ist das ja leider nicht mehr ganz so einafch nachzuvollziehen.

Far mich sieht das jedenfalls nach einem Bug aus ...

Ich bin mir relativ sicher, dass decmqrscp diese Attribute nicht unterstitzt -
diese Daten kann man ja nicht statisch in der Indexdatei abspeichern,
sondern misste sie dynamisch per Durchlauf durch die Indexdatei fiir

eine bestimmte PatientID berechnen (z&hlen). Vermutlich hat das mal jemand
angefangen und nicht fertiggestellt - konnte aber auch keinen Verweis

auf den Urheber finden.

Grundsétzlich wéare Unterstiitzung dafir wiinschenswert, denn diese Attribute
werden u.a. von IHE Scheduled Workflow als Pflichtfelder defininiert.

Related issues:
Related to DCMTK - Feature #771: Support for Additional Query Retrieve Attrib... New

2017-06-29

History

#1 - 2015-07-28 14:08 - J6rg Riesmeier
- Tracker changed from Feature to Bug
- Description updated

- Target version set to 3.6.2

Changed to "Bug" since the current implementation is incomplete in this regard!

#2 - 2017-01-10 18:51 - J6rg Riesmeier
- Category set to Library

- Assignee set to Jan Schlamelcher

Assigned to Jan since he is currently working on the "decmqrscp”.
#3 - 2017-06-29 19:37 - Jan Schlamelcher

Removed the incomplete implementation in commit #250df886167d94803a and added new feature #771 to implement it correctly in the future.

#4 - 2017-06-29 19:37 - Jan Schlamelcher

- Status changed from New to Closed
